DIRNAME(1)

NAMN
dirname — ta bort sista komponenten från ett filnamn

SYNOPSIS
dirname [FLAGGA] NAMN...

BESKRIVNING

Skriv ut NAMN med dess sista snedstrecksfria komponent och avslutande snedstreck borttagna; om NAMN inte innehåller några /, skriv ”.” (som betyder aktuell katalog).

-z, --zero
    Avsluta varje utmatad rad med NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

EXEMPEL

dirname /usr/bin/
    -> ”/usr”

dirname dir1/str dir2/str
    -> ”dir1” följt av ”dir2”

dirname stdio.h
    -> ”.”

UPPHOVSMAN
Skrivet av David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
basename(1), readlink(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/dirname>
eller tillgängligt lokalt via: info '(coreutils) dirname invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.